Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.adapter
Class AdapterMapping

    java.lang.Object
      org.flexdock.docking.adapter.AdapterMapping

    public class AdapterMapping

extends Object

This POJO contains values for an adapted components dockable requirements.

Author:
  Christopher Butler

Constructor Summary
`AdapterMapping()`

Method Summary
`String` | `getClassName()`
`String` | `getDockbarIcon()`
`String` | `getDragSource()`
`String` | `getDragSourceList()`
`String` | `getFrameDragSource()`
`String` | `getFrameDragSourceList()`
`String` | `getPersistentId()`
`String` | `getTabText()`
`void` | `setClassName(String className)`
`void` | `setDockbarIcon(String dockbarIcon)`
`void` | `setDragSource(String dragSource)`
`void` | `setDragSourceList(String dragSourceList)`
`void` | `setFrameDragSource(String frameDragSource)`
`void` | `setFrameDragSourceList(String frameDragSourceList)`
`void` | `setPersistentId(String persistentId)`
`void` | `setTabText(String tabText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterMapping

    public AdapterMapping()

Method Detail

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String className)

### getDockbarIcon

    public String getDockbarIcon()

### setDockbarIcon

    public void setDockbarIcon(String dockbarIcon)

### getDragSource

    public String getDragSource()

### setDragSource

    public void setDragSource(String dragSource)

### getDragSourceList

    public String getDragSourceList()

### setDragSourceList

    public void setDragSourceList(String dragSourceList)

### getFrameDragSource

    public String getFrameDragSource()

### setFrameDragSource

    public void setFrameDragSource(String frameDragSource)

### getFrameDragSourceList

    public String getFrameDragSourceList()

### setFrameDragSourceList

    public void setFrameDragSourceList(String frameDragSourceList)

### getPersistentId

    public String getPersistentId()

### setPersistentId

    public void setPersistentId(String persistentId)

### getTabText

    public String getTabText()

### setTabText

    public void setTabText(String tabText)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD